解决Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.7.0:compile

Java 同时被 2 个专栏收录
107 篇文章 4 订阅
119 篇文章 14 订阅
mvn clean package -Dmaven.test.skip=true

今天项目用maven命令打包时候抛出错误:

Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.7.0:compile (default-compile) on project springbootdemo: Fatal error compiling: 无效的标记: -parameters -> [Help 1]

这个错误的话比较好解决,是由于你项目所需jdk版本和你当前使用的jdk版本不一致导致的,因为我项目的pom.xml中定义了java版本为1.8,但是我实际idea中run这个项目却是1.7

    <java.version>1.8</java.version>

解决办法:更换当前jdk版本为项目所需jdk版本即可

要是你在intellij idea里面的maven窗口点击的打包编译的话,就在intellij idea设置项目jdk版本,直接Ctrl+Alt+s进入设置界面

选中项目右击 》F4键设置项目属性进入

如果你是直接在windows里的cmd中用maven打包的,那就需要切换你的jdk环境。如上设置好后再重新打包编译ok!

其他情况也可能会导致这个错误:

1、当你用类似于 java -jar ~.jar 命令在运行项目时候,此时你再打包项目,也会导致打包失败报错;

2、你的pom.xml文件里配置的依赖不对(可能是版本、名称之类的),jar包没下来,请仔细核对pom.xml是否报错,像idea里如果依赖不对,在maven project窗口是可以直接看得到的。


books 扩展阅读:使用quartz实现高级定制化定时任务(包含管理界面)

books 推荐阅读:elastic search搜索引擎实战demo:https://github.com/simonsfan/springboot-quartz-demo,分支:feature_es

打赏
文章很值,打赏犒劳作者一下
相关推荐
©️2020 CSDN 皮肤主题: 技术黑板 设计师:CSDN官方博客 返回首页

打赏

饭一碗

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值